//*****************************************************************************
//      Template Definitions for:
//              font management system and font allocations
//
//      Written by Stuart Prescott:
//              Written:                10/10/1996
//              Last Modified:          27/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//      System headers:
//              Streamed I/O
//
//*****************************************************************************

#include "fontdefs.h"

FontDefs *fonts;

//*****************************************************************************
//*****************************************************************************
FontDefs::FontDefs()
{
    menu    = GetFont(MENUFONTNAME      );
    check(menu  );
    Smenu   = GetFont(MENUSUBFONTNAME   );
    check(Smenu );
    SSmenu  = GetFont(MENUSUBSUBFONTNAME);
    check(SSmenu);

    title   = GetFont(TITLEFONTNAME     );
    check(title );
    Stitle  = GetFont(TITLESUBFONTNAME  );
    check(Stitle);
    SStitle = GetFont(TITLESUBSUBFONTNAME);
    check(SStitle);

    prompt  = GetFont(PROMPTFONTNAME    );
    check(prompt);
    button  = GetFont(BUTTONFONTNAME    );
    check(button);

    plottitle = menu;
    plotscale = Smenu;

    infotext  = Stitle;

    #if MONITORFONTALLOCS
        cout << "Done font allocations\n";
    #endif
}
   
//*****************************************************************************
//*****************************************************************************
FontDefs::~FontDefs()
{
    FreeFont (menu      );
    FreeFont (Smenu     );
    FreeFont (SSmenu    );
    FreeFont (title     );
    FreeFont (Stitle    );
    FreeFont (SStitle   );
    FreeFont (prompt    );
    FreeFont (button    );
    //FreeFont (plottitle);
    //FreeFont (plotscale);
    //FreeFont (infotext);
}
 
