//*****************************************************************************
//      Header file for:
//		control panel class
//
//      Written by Stuart Prescott:
//              Written:                10/10/1996
//              Last Modified:          27/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//      System headers:
//              Streamed I/O
//
//      Other Object Classes used:
//              template arrays
//              main program data structure
//		callbacks
//
//*****************************************************************************

#ifndef CONTROL_PANEL_H
#define CONTROL_PANEL_H 1

extern "C" {
    #include <libsx.h>
}

#include "callback.h"
#include "main.h"

class Panel
{
    private:
	int upbuttoncol;
	int downbuttoncol;
	int numbuttons;
	int InCell,lastcell,cell;

	intarray1 *x1, *y1, *x2, *y2;
	intarray1 *deltax, *deltay;

	char **text;
	char **alttext;
	char **titletext;
	
	int InSeparateWin;

	Widget draw_area;
	class MyProgram *AllData;	//not pretty, but there's 
					//no easy way around :-)

	void InvButton(int num);
	void AltLabel(int butnum);

    public:
	Panel(int x, int y, Widget parent, int where1, Widget from1,
					   int where2, Widget from2,
					   MyProgram *data);

	~Panel();

	void DrawButtons();
	int  HitButton(int x, int y);	//sets up the internal which button
	void MarkButton();		//inverts buttons according to mvt
	void response();		//acts on the button event

	Widget TitleLoc() {return draw_area;}
	void   SetTitleText(char **s) {titletext=s; return;}

	friend void PanelRedisplay	(Widget w, int width, int height,
					    void *data);

	friend void PanelMouseDownCB	(Widget w, int which, int x, int y, 
					    void *data);
	friend void PanelMouseMotionCB	(Widget w,	      int x, int y, 
					    void *data);
	friend void PanelMouseUpCB	(Widget w, int which, int x, int y, 
					    void *data);

};

#endif
