//*****************************************************************************
//      Header file for:
//		Orbital selection procedure
//
//      Written by Stuart Prescott:
//              Written:                07/10/1996
//              Last Modified:          27/10/1996
//
//      Libraries Required:
//              libsx (Dominic Giamapolo - Athena Widget Set)
//
//      Other Object Classes used:
//              template arrays
//              orbital id and name
//
//*****************************************************************************
  
#ifndef ORBITAL_SELECTION_H  
#define ORBITAL_SELECTION_H 1  

extern "C" {
    #include <libsx.h>
}

#include "arraytem.h"
#include "orbid.h"
  
class OrbitalSelect {  
    //#define mb  92*11  
  
    private:  
    intarray1* cwid;  
    intarray1* csta;  
    intarray1* x1;  
    intarray1* x2;  
    intarray1* y1;  
    intarray1* y2;  
    intarray1* deltax;  
    intarray1* deltay;  
    intarray1* qn;  
    intarray1* ql;  
    intarray1* qm;  
  
    //intarray1*	buffer;  
  
    //  char str[5];    USE lwf[0]  
    char *lwf[37];  
    int n, l, m;  
    int yspace;  
  
    XFont fontname;  
    Widget draw_area;  
    int fontheight;  
  
    int cell, lastcell;  
    int InCell;  
  
    public:  
	OrbitalDescriptor iid;

        OrbitalSelect();  
        ~OrbitalSelect()  
        {  
            delete cwid;  
            //delete buffer;  
            delete csta;  
            delete x1;  
            delete x2;  
            delete y1;  
            delete y2;  
            delete deltax;  
            delete deltay;  
            delete qn;  
            delete ql;  
            delete qm;  
            delete lwf[0];  
        }  
        int SetCell (int x, int y);  
        void MarkCell ();  
        void DrawIcons();  
        void getnlm();  
        void Setup(Widget w);  

        void SetId()  
            {iid.n=qn->get(cell);  
             iid.l=ql->get(cell);  
             iid.m=qm->get(cell);
	     int lab = iid.l*iid.l + iid.l +1 + iid.m;
	     char *s1=iid.str, *s2=lwf[lab];
	     while ((*s1++=*s2++));
	     return;}

	OrbitalDescriptor* OutputLoc() {return &iid;}
};  
  
  
//other associated functions.  
void nlmButtonDown (Widget w, int which, int x, int y, void *data) ;  
void nlmMouseMove (Widget w, int x, int y, void *data);  
void nlmButtonUp (Widget w, int which, int x, int y, void *data);  
  
#endif  
